|  | Home | Documentation | saml1__ConditionAbstractType Struct Reference updated by Robert van Engelen |

saml1__ConditionAbstractType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":ConditionAbstractType is an abstract complexType. More...

`#include <saml1.h>`

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":ConditionAbstractType is an abstract complexType.

This type is extended by:

- "urn:oasis:names:tc:SAML:1.0:assertion":AudienceRestrictionConditionType as struct saml1__AudienceRestrictionConditionType
- "urn:oasis:names:tc:SAML:1.0:assertion":DoNotCacheConditionType as struct saml1__DoNotCacheConditionType

Note
  struct saml1__ConditionAbstractType operations:
  - saml1__ConditionAbstractType* soap_new_saml1__ConditionAbstractType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml1__ConditionAbstractType(struct soap*, saml1__ConditionAbstractType*) default initialize members
  - int soap_read_saml1__ConditionAbstractType(struct soap*, saml1__ConditionAbstractType*) deserialize from a source
  - int soap_write_saml1__ConditionAbstractType(struct soap*, saml1__ConditionAbstractType*) serialize to a sink
  - saml1__ConditionAbstractType* soap_dup_saml1__ConditionAbstractType(struct soap*, saml1__ConditionAbstractType* dst, saml1__ConditionAbstractType <em>src) returns deep copy of saml1__ConditionAbstractType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml1__ConditionAbstractType(saml1__ConditionAbstractType
  ) deep deletes saml1__ConditionAbstractType data members, use only on dst after soap_dup_saml1__ConditionAbstractType(NULL, saml1__ConditionAbstractType *dst, saml1__ConditionAbstractType *src) (use soapcpp2 -Ed)

The documentation for this struct was generated from the following file:

- saml1.h